Skip to main content

Get a resident by ID

GEThttps://api.propexo.com/v1/residents/:id

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters​

id stringrequired

The ID of the resource.

Query parameters​

order-by string

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

Default value: created_at:desc
updated_at_gte string | null

Filter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

updated_at_lte string | null

Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

last_seen_gte string | null

Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

last_seen_lte string | null

Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

offset integer | null

Possible values: >= 0

Can be used for paginating results

Default value: 0
limit integer | null

Possible values: >= 0 and <= 250

A number between 1 and 250 to determine the number of results to return in a single query

Default value: 100

Response​

Successful response

    meta objectrequired
    offsetinteger

    The offset of the first result

    Possible values: >= 0

    Example: 0
    limitinteger

    The number of results to return

    Possible values: >= 0 and <= 250

    Example: 100
    orderBy object[]required

    The order of the results

  • Array [
  • object
  • ]
  • hasMoreboolean | nullnullable

    Whether there are more results

    totalinteger

    The total number of results

    Possible values: >= 0

    Example: 1000
    results objectrequired
    idstringrequired

    The Propexo unique identifier for the resident

    Example: clwktsp9v000008l31iv218hn
    created_atstringrequired

    The date record first entered Propexo

    Example: 2024-03-21T15:38:08.337Z
    updated_atstringrequired

    The date record was last updated in Propexo

    Example: 2024-03-22T10:59:45.119Z
    last_seenstring | nullnullablerequired

    The date the record was last seen from the PMS

    Example: 2024-03-22T10:59:45.119Z
    x_idstringrequired

    The external ID from the integration vendor

    Method
    leads/getLeads
    customers/getCustomers
    Example: customer321
    x_lease_idstring | nullnullablerequireddeprecated

    Deprecated. Use leases_meta_data instead

    Method
    customers/getCustomers
    leases_meta_data object[]

    Known associated lease meta data

  • Array [
  • lease_idstringrequired

    The Propexo unique identifier for the lease

    Method
    leases/getLeases
    Example: clxkwuk5d000at3oz3b008unk
    x_resident_typestring | nullnullablerequired

    The external type of the resident from the integration vendor

    Method
    leases/getLeases
    Example: main
    resident_type_normalizedstring | nullnullablerequired

    Resident type from Propexo

    Method
    leases/getLeases
    Example: PRIMARY
    Show 2 variants
    • string
    • stringPRIMARYSECONDARYGUARANTOROTHER
    move_in_datestring | nullnullablerequired

    The move-in date associated with the resident

    Method
    leases/getLeases
    Example: 2023-06-15T00:00:00.000Z
    move_out_datestring | nullnullablerequired

    The move-out date associated with the resident

    Method
    leases/getLeases
    Example: 2024-06-15T00:00:00.000Z
    notice_datenullrequired

    The date the resident gave notice

    Notice

    This field will always be null for ENTRATA

    Example: null
    custom_data object | nullrequired
    object
    last_seenstring | nullnullablerequired

    The date the record was last seen from the PMS

    Example: 2024-03-22T10:59:45.119Z
  • ]
  • address_1_alternatestring | nullnullablerequired

    The first alternate address line associated with the resident

    Method
    customers/getCustomers
    Example: 456 Oak St
    address_1string | nullnullablerequired

    The first address line associated with the resident

    Method
    customers/getCustomers
    Example: 123 Main St
    address_2_alternatestring | nullnullablerequired

    The second alternate address line associated with the resident

    Method
    customers/getCustomers
    Example: 789 Pine St
    address_2string | nullnullablerequired

    The second address line associated with the resident

    Method
    customers/getCustomers
    Example: 456 Oak St
    balance_in_centsnullrequired

    The rent balance owed

    Notice

    This field will always be null for ENTRATA

    Example: null
    city_alternatestring | nullnullablerequired

    The alternate city associated with the resident

    Method
    customers/getCustomers
    Example: Shelbyville
    citystring | nullnullablerequired

    The city associated with the resident

    Method
    customers/getCustomers
    Example: Springfield
    country_alternatestring | nullnullablerequired

    The alternate country associated with the resident

    Method
    customers/getCustomers
    Example: US
    countrystring | nullnullablerequired

    The country associated with the resident

    Method
    customers/getCustomers
    Example: US
    custom_data object | nullrequired
    object
    date_of_birthstring | nullnullablerequired

    The date of birth associated with the resident

    Method
    leads/getLeads
    Example: 1980-01-01T00:00:00.000Z
    email_1string | nullnullablerequired

    The primary email address associated with the resident

    Method
    customers/getCustomers
    email_2string | nullnullablerequired

    The secondary email address associated with the resident

    Method
    customers/getCustomers
    first_namestring | nullnullablerequired

    The first name associated with the resident

    Method
    customers/getCustomers
    Example: John
    is_employeeboolean | nullnullablerequired

    Is the resident an employee

    Method
    customers/getCustomers
    last_namestring | nullnullablerequired

    The last name associated with the resident

    Method
    customers/getCustomers
    Example: Doe
    late_balance_in_centsnullrequired

    The past due rent balance owed

    Notice

    This field will always be null for ENTRATA

    Example: null
    middle_namestring | nullnullablerequired

    The middle name associated with the resident

    Method
    customers/getCustomers
    Example: Michael
    notesnullrequired

    Notes associated with the resident

    Notice

    This field will always be null for ENTRATA

    Example: null
    phone_1_typestring | nullnullablerequired

    Type of the primary phone number

    Method
    leads/getLeads
    Show 5 enum values
    FAXHOMEMOBILEOTHERWORK
    Example: HOME
    phone_1string | nullnullablerequired

    Primary phone number associated with the resident

    Method
    leads/getLeads
    Example: (123) 456-7890
    phone_2_typestring | nullnullablerequired

    Type of the secondary phone number

    Method
    leads/getLeads
    Show 5 enum values
    FAXHOMEMOBILEOTHERWORK
    Example: MOBILE
    phone_2string | nullnullablerequired

    Secondary phone number associated with the resident

    Method
    leads/getLeads
    Example: (098) 765-4321
    state_alternatestring | nullnullablerequired

    The alternate state associated with the resident

    Method
    customers/getCustomers
    Example: MO
    statestring | nullnullablerequired

    The state associated with the resident

    Method
    customers/getCustomers
    Example: IL
    zip_alternatestring | nullnullablerequired

    The alternate zip code associated with the resident

    Method
    customers/getCustomers
    Example: 62705
    zipstring | nullnullablerequired

    The zip code associated with the resident

    Method
    customers/getCustomers
    Example: 62704
    pets object[]required
  • Array [
  • idstringrequired

    The Propexo unique identifier for the resident pet

    Example: clwktsp9v000008l31iv218hn
    created_atstringrequired

    The date record first entered Propexo

    Example: 2024-03-21T15:38:08.337Z
    updated_atstringrequired

    The date record was last updated in Propexo

    Example: 2024-03-22T10:59:45.119Z
    last_seenstring | nullnullablerequired

    The date the record was last seen from the PMS

    Example: 2024-03-22T10:59:45.119Z
    x_idstringrequired

    The external ID from the integration vendor

    Method
    leases/getLeases
    Example: pet123
    namestring | nullnullablerequired

    The name associated with the resident pet

    Method
    leases/getLeases
    Example: Buddy
    typestring | nullnullablerequired

    The type associated with the resident pet

    Method
    leases/getLeases
    Example: Dog
    breedstring | nullnullablerequired

    The breed of the resident pet

    Method
    leases/getLeases
    Example: Labrador
    gender_rawstring | nullnullablerequired

    The raw value for the gender of the resident pet

    Method
    leases/getLeases
    Example: M
    age_in_yearsnumber | nullnullablerequired

    The age in years of the resident pet

    Method
    leases/getLeases
    Example: 3
    weight_in_poundsnumber | nullnullablerequired

    The weight in pounds of the resident pet

    Method
    leases/getLeases
    Example: 60
    is_fixednullrequired

    Whether the resident pet is fixed

    Notice

    This field will always be null for ENTRATA

    Example: null
    is_service_animalboolean | nullnullablerequired

    Whether the resident pet is a service animal

    Method
    leases/getLeases
    Example: true
    notesnullrequired

    Notes associated with the resident pet

    Notice

    This field will always be null for ENTRATA

    Example: null
    custom_data object | nullrequired
    object
  • ]
  • vehicles object[]required
  • Array [
  • idstringrequired

    The Propexo unique identifier for the resident vehicle

    Example: clwktsp9v000008l31iv218hn
    created_atstringrequired

    The date record first entered Propexo

    Example: 2024-03-21T15:38:08.337Z
    updated_atstringrequired

    The date record was last updated in Propexo

    Example: 2024-03-22T10:59:45.119Z
    last_seenstring | nullnullablerequired

    The date the record was last seen from the PMS

    Example: 2024-03-22T10:59:45.119Z
    x_idstringrequired

    The external ID from the integration vendor

    Method
    customers/getCustomers
    Example: vehX123
    makestring | nullnullablerequired

    The make of the resident vehicle

    Method
    customers/getCustomers
    Example: Toyota
    modelstring | nullnullablerequired

    The Propexo data model (e.g. units, residents, applicants, etc.) associated with the resident vehicle

    Method
    customers/getCustomers
    Example: Camry
    colorstring | nullnullablerequired

    The color of the resident vehicle

    Method
    customers/getCustomers
    Example: Red
    yearstring | nullnullablerequired

    The year of the resident vehicle

    Method
    customers/getCustomers
    Example: 2020
    license_plate_numberstring | nullnullablerequired

    The license plate number of the resident vehicle

    Method
    customers/getCustomers
    Example: ABC1234
    license_plate_statestring | nullnullablerequired

    The license plate state of the resident vehicle

    Method
    customers/getCustomers
    Example: CA
    notesnullrequired

    Notes associated with the resident vehicle

    Notice

    This field will always be null for ENTRATA

    Example: null
    custom_data object | nullrequired
    object
  • ]
  • integration_idstringrequired

    The Propexo unique identifier for the integration

    Example: clwh5u07w000508me66sfh3um
    integration_vendorEnum15required

    The property management system of record

    Show 13 enum values
    ENTRATAAPPFOLIOBUILDIUMMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_REST
    Example: ENTRATA
    property_idstringrequired

    The Propexo unique identifier for the property

    Example: clwi5xiix000008l6ctdgafyh

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
GET /v1/residents/:id
curl https://api.propexo.com/v1/residents/:id \
-H "Authorization: Bearer <token>"
200 Successful response
{
"meta": {
"offset": 0,
"limit": 100,
"orderBy": [
{}
],
"hasMore": true,
"total": 1000
},
"results": {
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"updated_at": "2024-03-22T10:59:45.119Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_id": "customer321",
"leases_meta_data": [
{
"lease_id": "clxkwuk5d000at3oz3b008unk",
"x_resident_type": "main",
"resident_type_normalized": "PRIMARY",
"move_in_date": "2023-06-15T00:00:00.000Z",
"move_out_date": "2024-06-15T00:00:00.000Z",
"notice_date": null,
"custom_data": "Unknown Type: object,null",
"last_seen": "2024-03-22T10:59:45.119Z"
}
],
"address_1_alternate": "456 Oak St",
"address_1": "123 Main St",
"address_2_alternate": "789 Pine St",
"address_2": "456 Oak St",
"balance_in_cents": null,
"city_alternate": "Shelbyville",
"city": "Springfield",
"country_alternate": "US",
"country": "US",
"custom_data": "Unknown Type: object,null",
"date_of_birth": "1980-01-01T00:00:00.000Z",
"email_1": "[email protected]",
"email_2": "[email protected]",
"first_name": "John",
"is_employee": true,
"last_name": "Doe",
"late_balance_in_cents": null,
"middle_name": "Michael",
"notes": null,
"phone_1_type": "HOME",
"phone_1": "(123) 456-7890",
"phone_2_type": "MOBILE",
"phone_2": "(098) 765-4321",
"state_alternate": "MO",
"state": "IL",
"zip_alternate": "62705",
"zip": "62704",
"pets": [
{
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"updated_at": "2024-03-22T10:59:45.119Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_id": "pet123",
"name": "Buddy",
"type": "Dog",
"breed": "Labrador",
"gender_raw": "M",
"age_in_years": 3,
"weight_in_pounds": 60,
"is_fixed": null,
"is_service_animal": true,
"notes": null,
"custom_data": "Unknown Type: object,null"
}
],
"vehicles": [
{
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"updated_at": "2024-03-22T10:59:45.119Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_id": "vehX123",
"make": "Toyota",
"model": "Camry",
"color": "Red",
"year": "2020",
"license_plate_number": "ABC1234",
"license_plate_state": "CA",
"notes": null,
"custom_data": "Unknown Type: object,null"
}
],
"integration_id": "clwh5u07w000508me66sfh3um",
"integration_vendor": "ENTRATA",
"property_id": "clwi5xiix000008l6ctdgafyh"
}
}